# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl test.pl'

######################### We start with some black magic to print on failure.

# Change 1..1 below to 1..last_test_to_print .
# (It may become useful if the test is moved to ./t subdirectory.)

BEGIN { $| = 1; print "1..4\n"; }
END {print "not ok 1\n" unless $loaded;}
use HTML::ColorKeywords;
$loaded = 1;
print "ok 1\n";

######################### End of black magic.

# Insert your test code below (better if it prints "ok 13"
# (correspondingly "not ok 13") depending on the success of chunk 13
# of the test code):

{
    my $c = HTML::ColorKeywords->new(keys => ['abc','a','b']);
    my $s = qq(_<a href="/">ac</a>_bc_<b>abc</b>_);
    print "\n  BEFORE: $s\n";
    $c->do(string => \$s);
    print "  AFTER: $s\n";
    die unless ($s eq qq(_<a href="/"><span style="background-color:#A0ffff">a</span>c</a>_<span style="background-color:#99ff99">b</span>c_<b><span style="background-color:#ffff66">abc</span></b>_));
    print "ok 2\n";
}
{
    my $c = HTML::ColorKeywords->new();
    my $s = "acebecddcbcaed";
    my @k = ('ac', 'bc');
    print "\n  BEFORE: $s\n";
    $c->do(keys => \@k, string => \$s);
    print "  AFTER: $s\n";
    die unless ($s eq qq(<span style="background-color:#ffff66">ac</span>ebecddc<span style="background-color:#A0ffff">bc</span>aed));
    print "ok 3\n";
}
{
    my $c = HTML::ColorKeywords->new(colors => ['red', 'blue']);
    my $s = "edhjbicopan";
    print "\n  BEFORE: $s\n";
    $c->do(keys => ['a','b','c'], string => \$s);
    print "  AFTER: $s\n";
    die unless ($s eq qq(edhj<span style="background-color:blue">b</span>i<span style="background-color:red">c</span>op<span style="background-color:red">a</span>n));
    print "ok 4\n";
}

